curl --request GET \
--url https://api.partoo.co/v2/feedback/email-templates \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/feedback/email-templates"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/feedback/email-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"max_page": 10,
"count": 287,
"items": [
{
"name": "Default Template",
"subject": "We'd love your feedback",
"title": "How did we do?",
"body": "Thank you for visiting us. Please take a moment to share your experience.",
"cta_type": "BUTTON",
"color": "#3B82F6",
"font_family": "Arial",
"id": 1,
"org_id": 42,
"created_at": "2024-01-15T10:30:00+00:00",
"updated_at": "2024-06-01T08:00:00+00:00",
"cta_text": "Leave a review",
"post_cta_text": "Your feedback helps us improve.",
"closing_text": "Thank you for your time!",
"signature_name": "The Partoo Team",
"logo_url": "https://example.com/logo.png",
"banner_url": "https://example.com/banner.png"
}
]
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}List email templates
The Feedback Management API is currently in BETA, therefore the following endpoints are subject to modification, given a 2 week notice.
If you are planning to use any of them, please notify us so we will be able to keep you informed about upcoming changes.
Retrieves the paginated list of feedback email templates for the authenticated user’s organization, ordered by most recently updated.
The response is paginated (default 30 results per page, up to 100).
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Page number (1-indexed)
x >= 1Number of results per page
1 <= x <= 100Was this page helpful?